# Copyright (C) 2024 Manuel Bustillo

class TablesArrangementsController < ApplicationController
  def index
    @tables_arrangements = TablesArrangement.all.order(discomfort: :asc).limit(10)
  end

  def show
    @tables_arrangement = TablesArrangement.find(params[:id])
    @seats = @tables_arrangement.seats
                                .includes(guest: %i[affinity_groups unbreakable_bonds])
                                .group_by(&:table_number)
  end
end
